Subject: [rohc] RFC 4815 default-slope if Tsc=0

From: [email-masked]
Date: Wed, 4 Jul 2007 13:41:58 +0200 (CEST)

Hi RoHC'ers!

A short question about the default-slope(TS) if value(Tsc) = 0.
See RFC 4815, page 10.

The default-slope is needed to compute the TS if no TS bits are received:
> delta_TS = delta_SN * default-slope

A packet without TS bits together with value(Tsc) = 0 is invalid:
> If a packet with no TS bits is received with Tsc = 0,
> the decompressor MUST discard the packet.

And
> If value(Tsc) = 0, the Timestamp value is compressed as-is,
> and default-slope(TS) = value(TS_STRIDE).

But what should I do with that default-slope(TS) = value(TS_STRIDE)?

If Tsc=0 I take the TS from the packet, maybe coded as a self-describing
variable length value, encode the W-LSB stuff.
Is there anything I oversee where this default-slope is needed?

Any help would be appreciated.

br
Klaus

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc